Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Courses

Get Courses
GET /training/courses
https://api.relesysapp.net/api/v1.1/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"b539dd82-59f1-44ea-9ae5-adfe395de207","courseGroupId":"37f08ac0-25ee-4266-b0aa-6cdba1d2bead","phaseId":"c4055d5f-9ee3-411a-9d64-5478dc57486a","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"c8083cd2-bfbf-4546-abb6-1a4d10687798","courseGroupId":"114c8772-34d9-4c19-81d3-320ca55def2c","phaseId":"c92af188-f72f-4578-ab43-bacdd5a8c4cb","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string